Name: geronimo-commonj
Version: 1.1.0
Release: 2%{?dist}
Summary: CommonJ Specification
Group: Development/Libraries
License: ASL 2.0
URL: http://geronimo.apache.org/

# svn export https://svn.apache.org/repos/asf/geronimo/specs/tags/specs-1.4/geronimo-commonj_1.1_spec geronimo-commonj-1.1.0
# tar cvfJ geronimo-commonj-1.1.0.tar.xz geronimo-commonj-1.1.0
Source: %{name}-%{version}.tar.xz

# Remove the SNAPSHOT tag from the version in the POM file:
Patch0: %{name}-version-fix.patch

BuildArch: noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin


Requires: java
Requires: jpackage-utils


%description
Geronimo CommonJ Specification.


%package javadoc
Summary: Javadocs for %{name}
Group: Documentation
Requires: jpackage-utils


%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q
%patch0 -p0


%build
mvn-rpmbuild \
  -Dproject.build.sourceEncoding=UTF-8 \
  install \
  javadoc:aggregate


%install

# Jar files:
install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}_1.1_spec-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

# Dependencies map:
%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt
%doc NOTICE.txt


%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt
%doc NOTICE.txt


%changelog
* Fri Mar 2 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.1.0-2
- Cleanup of the spec file

* Tue Aug 30 2011 Andy Grimm <agrimm@gmail.com> 1.1.0-1
- Initial build
